#!/bin/sh
# Download data and generate kibitz index
# (c) 2006 Vladimir Jelen <vladimir.jelen@netcentrum.cz>
# (c) 2012 Tomas Valla <tom@ucw.cz>

set -e

eval `bin/config -Cetc/kibitz Kibitz{LogFile}`
CF_LogFile=`date +$CF_Kibitz_LogFile`

bin/logger ${CF_Kibitz_LogFile}:indexer I "Wget output:"

#
# FIXME: You probably want to modify this input downloading
#
wget -O lib/kibitz.tmp -a $CF_Kibitz_LogFile -nv http://my.page/kibitz

bin/logger ${CF_Kibitz_LogFile}:indexer I "End of wget output"

[ -s lib/kibitz.tmp ]
if [ `tail -1 lib/kibitz.tmp` != "+OK" ] ; then
        bin/logger ${CF_Kibitz_LogFile}:indexer ! "Incomplete file lib/kibitz.tmp"
        exit 1
fi

rm -f lib/kibitz.data
grep -v '^\+OK' lib/kibitz.tmp > lib/kibitz.data
rm -f index.new lib/kibitz.tmp
bin/kindexer -f lib/kibitz.data -i index.new
bin/kibitz-control swap
bin/kibitz-control cron
